ext {
    //Android
    buildToolsVersion = "30.0.2"
    compileSdkVersion = 33
    minSdkVersion = 16

    targetSdkVersion = 28

    // application info (每个大版本之间的 versionCode 增加 20)
    versionCode = 710
    versionName = "5.18.0"
    applicationId = "com.gh.gamecenter"

    // AndroidX
    core = "1.3.2"
    multiDex = "2.0.1"
    appCompat = "1.2.0"
    cardView = "1.0.0"
    fragment = "1.2.5"
    annotation = "1.1.0"
    percentLayout = "1.0.0"
    constraintLayout = "2.1.3"
    databinding = "3.4.1"
    recyclerView = "1.1.0"
    lifeCycle = "2.3.1"
    lifeCycleExtensions = "2.0.0"
    room = "2.2.6"
    workManager = "2.6.0"
    viewpager2 = "1.0.0"
    ktx = "1.2.0"
    localbroadcastmanager = "1.0.0"
    webkit = "1.4.0"
    collection = "1.2.0"
    activity = "1.2.3"

    material = "1.1.0"

    butterKnife = "10.1.0"

    eventbus = "3.0.0"
    eventbusApt = "3.0.1"

    // rxJava & rxAndroid
    rxBinding = "0.3.0"

    rxJava2 = "2.2.19"
    rxAndroid2 = "2.1.1"
    rxBinding2 = "2.1.1"
    retrofit = "2.3.0"
    okHttp = "3.12.13"
    okHttpForDebug = "3.14.9"
    gson = "2.8.2"
    zxing = "3.2.1"
    fresco = "2.4.0"
    ormlite = "5.0"
    systemBarTint = "1.0.3"
    switchButton = "1.4.5"
    swipeLayout = "1.2.0@aar"
    autoScrollViewPager = "1.1.2"
    weiboSDK = "12.5.0@aar"
    apkChannelPackage = "1.0.5"

    //Test
    jUnit = '4.12'
    stetho = '1.5.0'

    leakcanary = '2.9.1'

    // 大图查看
    bigImageViewer = "1.7.1"

    bugly = "2.6.6"
    buglyTinkerSupport = "1.3.4"
    bytedanceApplog = "5.3.0"
    bytedanceAweme = "0.1.1.0"

    // 权限申请库
    easypermissions = "1.0.0"

    rxPermissions = "0.11"

//    httpdns = "1.1.3";

    expandableLayout = "2.9.2"

    smartRefreshLayout = "1.1.0-alpha-7"

    luban = "1.1.7"

    versioncompare = "1.2.8"

    gsyVideo = "v8.1.3-jitpack"

    chucker = "3.2.0"

    dsBridge = "3.0-SNAPSHOT"

    matisse = "0.5.1"
    picasso = "2.5.2"
    lottie = "3.7.0"
    flexbox = "1.1.0"
    pickerView = "4.1.8"
    verifier = "1.0.6"
    skeleton = "1.1.5"
    mta = "6.7.9"
    romChecker = "1.0.3"
    oss = "2.9.2"
    toolargetool = "0.3.0"
    chart = "3.1.0"
    zip4j = "2.6.1"
    easyProtector = "1.1.2"
    whatTheStack = "0.1.0_rt"
    apkParser = "v2.6.10"
    nanohttpd = "2.3.1"
    aliyunLog = "2.6.4"
    easyFloat = "2.0.4"
    shapeOfView = "1.4.7"
    splitties = "3.0.0"
    apksig = "1.0.0"
    gid = "1.3.2"
    dokit = "3.5.0"

    sentry = "5.7.4"

    lancet_version = "v1.0.6"
    autoServiceVersion = "1.0-rc7"
    arouterVersion = "1.5.1"
}